Subject: Re: [PATCH 02/17] midx: split `get_midx_checksum()` by adding `get_midx_hash()`

From: Taylor Blau <[email-masked]>
Date: Tue, 13 Jan 2026 17:46:56 -0500

On Tue, Dec 09, 2025 at 07:27:49AM +0100, Patrick Steinhardt wrote:
> It's only four more characters to type the `_hex()` variant, and it is
> in line with the interfaces we've got in "hex.h". So personally I'd
> still prefer to go with `_hex()`.

I think that's a fair point. I am not sure that I go along with the
"it's only four more characters" argument, but I would like to be
consistent with existing APIs above all else. I think the choice we made
in "hex.h" is a good one, so let's stick with that.

Thanks,
Taylor